name: Build and test backend 

on:
  push:
    branches: [ master ]
  pull_request:
    branches: [ master ]

jobs:
  Build-backend:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v4
    - uses: actions/setup-java@v3
      with:
        java-version: '21'
        distribution: 'temurin'
    - uses: gradle/gradle-build-action@v3
    - name: building
      run: ./gradlew backend:build
  Test-backend:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v4
    - uses: actions/setup-java@v3
      with:
        java-version: '21'
        distribution: 'temurin'
    - uses: gradle/gradle-build-action@v3
    - name: building
      run: ./gradlew backend:test 
